Subject: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: Jan Djärv <[email-masked]>
Date: Sat, 18 Jan 2014 12:36:06 +0100

17 jan 2014 kl. 17:52 skrev Constantine Vetoshev <[email-masked]>:

> On Jan 16, 2014, at 23:51, martin rudalics <[email-masked]> wrote:
> 
>>  I get a value of 24 in both Emacs 24.3 and
>> Emacs 24.4.  What do you get?
> 
> On Mac OS 10.9.1, I have two different numbers for identically-sized frames, with windows in each equalized using M-x balance-windows. 70 in Emacs 24.3 and 71 in Emacs 24.4. It looks like a problem with the window-width function. Take a look at the attached screenshot: it shows the different return values, but it also shows that both windows wrap the new line at the 70th character.
> 
> So I guess term.el has nothing to do with this, it just happens to react particularly badly to the incorrect value returned from window-width. I wonder if this happened because of the change in using the Core text font renderer on OS X.

Using the old font backend gives the same result, so it is not that.

	Jan D.